### Property

# Adw WrapBox:wrap-policy

since: 1.7

#### Declaration

    property wrap-policy: Adw.WrapPolicy [ read, write ]

#### Description [src]

The policy for line wrapping.

- If set to `ADW_WRAP_NATURAL`, the box will wrap to the next line as soon as the previous line cannot fit any more children without shrinking them past their natural size.

If set to `ADW_WRAP_MINIMUM`, the box will try to fit as many children into each line as possible, shrinking them down to their minimum size before wrapping to the next line.

Type:`AdwWrapPolicy`

Available since: 1.7

Default value | ADW_WRAP_NATURAL
Getter method | `adw_wrap_box_get_wrap_policy()`
Setter method | `adw_wrap_box_set_wrap_policy()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no